/* winudp_common.h
 * MS-Windows UDP Babyphone
 * Andre Adrian
 */

#include <windows.h>
#include <commctrl.h>
#include <mmsystem.h>
#include <mmreg.h>
#include <stdio.h>
#include <string.h>

#define BABYPHONE_PORT 26002      // Der Babyphone well known Port

#define BUFSIZE       512        // Groesse Soundcard Buffer in Samples

#define AUDIOBUFS     3           // Anzahl Soundcard Buffer, Minimum ist 2
#define AUDIOFORMAT   WAVE_FORMAT_MULAW // Audio Codec G.711 u-Law
#define AUDIOSPEED    16000       // Abtastfrequenz
#define AUDIOCHANNELS 1           // 1 ist Mono, 2 ist Stereo

#define winreturn_if(expr, hWnd, str) \
if(expr) { \
  MessageBox(hWnd, str, "WARNING", MB_OK); \
  return 0; \
}

#define winexit_if(expr, hWnd, str) \
if(expr) { \
  MessageBox(hWnd, str, "FAILURE", MB_OK); \
  EndDialog(hWnd, 0); \
  return 0; \
}
